Security update with Verisign's SeatBelt

On March 25, 2008 we will update our SSL server certificate: Our SSL certificate provides for secure transmission of your data while using your xlogon.net OpenID. Moreover, it enables your SeatBelt plugin to effectively protect you against phish attacks. SSL certificate vendors specify that certificates must be replaced from time to time.

For security reasons we can not automatically update your SeatBelt to work with our new certificate. Hence, starting March 25, 2008, SeatBelt will display the following warnings:

 


 

Don't Panic! This is normal behavior

 
The following simple instructions will guide you through an update that makes your SeatBelt work with our new certificate. The warnings above will disappear.

Right click on the SeatBelt icon and select SeatBelt Settings from the menu.

 

 
In the Settings window select the OpenID Providers tab. In the "Add Provider" field simply enter https://my.xlogon.net/ and click the "Add" button.

 

 
You will be notified, that the xlogon provider settings have been updated successfully.

 

 
Next, you will be asked, if you want to enable xlogon. Confirm with OK.

 

 
Finally, close the Settings window. You will be able to use SeatBelt with my.xlogon.net as usual.